std::error_code(3cxx)

NAME
std::error_code

SYNOPSIS

#include <system_error>

  Public Member Functions

template<typename _ErrorCodeEnum, typename = _Check<_ErrorCodeEnum>> error_code (_ErrorCodeEnum __e) noexcept
Initialize with a user-defined type, by calling make_error_code.
error_code (const error_code &)=default
error_code (int __v, const error_category &__cat) noexcept
void assign (int __v, const error_category &__cat) noexcept
const error_category & category () const noexcept
The error category that this error belongs to.
void clear () noexcept
error_condition default_error_condition () const noexcept
An error_condition for this error's category and value.
string message () const
The category's description of the value.
operator bool () const noexcept
Test whether value() is non-zero.
error_code & operator= (const error_code &)=default
int value () const noexcept
The error value.

  Related Symbols
(Note that these are not member symbols.)
error_code make_error_code (errc __e) noexcept
template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__os, const error_code &__e)
strong_ordering operator<=> (const error_code &__lhs, const error_code &__rhs) noexcept

Detailed Description

Class error_code

This class is a value type storing an integer error number and a category that gives meaning to the error number. Typically this is done close the the point where the error happens, to capture the original error value.

An error_code object can be used to store the original error value emitted by some subsystem, with a category relevant to the subsystem. For example, errors from POSIX library functions can be represented by an errno value and the "generic" category, but errors from an HTTP library might be represented by an HTTP response status code (e.g. 404) and a custom category defined by the library.

Since
    C++11

Constructor & Destructor Documentation

  template<typename _ErrorCodeEnum, typename = _Check<_ErrorCodeEnum>> std::error_code::error_code (_ErrorCodeEnum __e) [inline], [noexcept]

Initialize with a user-defined type, by calling make_error_code.

References make_error_code().

Member Function Documentation

  const error_category & std::error_code::category () const [inline], [noexcept]

The error category that this error belongs to.

Referenced by message().

  error_condition std::error_code::default_error_condition () const [noexcept]

An error_condition for this error's category and value.

  string std::error_code::message () const [inline]

The category's description of the value.

References category(), std::_V2::error_category::message(), message(), and value().

Referenced by message().

  std::error_code::operator bool () const [inline], [explicit], [noexcept]

Test whether value() is non-zero.

  int std::error_code::value () const [inline], [noexcept]

The error value.

Referenced by message().

Author

Generated automatically by Doxygen for libstdc++ from the source code.